javax.media.j3d

## Class IndexedGeometryStripArray

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.NodeComponent
    - - javax.media.j3d.Geometry
      - - javax.media.j3d.GeometryArray
        - - javax.media.j3d.IndexedGeometryArray
          - - javax.media.j3d.IndexedGeometryStripArray

- Direct Known Subclasses:
    IndexedLineStripArray, IndexedTriangleFanArray, IndexedTriangleStripArray

      public abstract class IndexedGeometryStripArray
      extends IndexedGeometryArray

  The IndexedGeometryStripArray object is an abstract class that is extended for a set of IndexedGeometryArray strip primitives. These include LINE_STRIP, TRIANGLE_STRIP, and TRIANGLE_FAN.

- - ### Field Summary

    - ### Fields inherited from class javax.media.j3d.IndexedGeometryArray

      `ALLOW_COLOR_INDEX_READ, ALLOW_COLOR_INDEX_WRITE, ALLOW_COORDINATE_INDEX_READ, ALLOW_COORDINATE_INDEX_WRITE, ALLOW_NORMAL_INDEX_READ, ALLOW_NORMAL_INDEX_WRITE, ALLOW_TEXCOORD_INDEX_READ, ALLOW_TEXCOORD_INDEX_WRITE, ALLOW_VERTEX_ATTR_INDEX_READ, ALLOW_VERTEX_ATTR_INDEX_WRITE`

    - ### Fields inherited from class javax.media.j3d.GeometryArray

      `ALLOW_COLOR_READ, ALLOW_COLOR_WRITE, ALLOW_COORDINATE_READ, ALLOW_COORDINATE_WRITE, ALLOW_COUNT_READ, ALLOW_COUNT_WRITE, ALLOW_FORMAT_READ, ALLOW_NORMAL_READ, ALLOW_NORMAL_WRITE, ALLOW_REF_DATA_READ, ALLOW_REF_DATA_WRITE, ALLOW_TEXCOORD_READ, ALLOW_TEXCOORD_WRITE, ALLOW_VERTEX_ATTR_READ, ALLOW_VERTEX_ATTR_WRITE, BY_REFERENCE, BY_REFERENCE_INDICES, COLOR_3, COLOR_4, COORDINATES, INTERLEAVED, NORMALS, TEXTURE_COORDINATE_2, TEXTURE_COORDINATE_3, TEXTURE_COORDINATE_4, USE_COORD_INDEX_ONLY, USE_NIO_BUFFER, VERTEX_ATTRIBUTES`

    - ### Fields inherited from class javax.media.j3d.Geometry

      `ALLOW_INTERSECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedGeometryStripArray(int vertexCount, int vertexFormat, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedGeometryStripArray object with the specified number of vertices, vertex format, number of indices, and array of per-strip index counts.
    `IndexedGeometryStripArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedGeometryStripArray object with the specified number of vertices, vertex format, number of texture coordinate sets, texture coordinate mapping array, number of indices, and array of per-strip index counts.
    `IndexedGeometryStripArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int vertexAttrCount, int[] vertexAttrSizes, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedGeometryStripArray object with the specified number of vertices, vertex format, number of texture coordinate sets, texture coordinate mapping array, vertex attribute count, vertex attribute sizes array, number of indices, and array of per-strip index counts.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumStrips()` Get number of strips in the GeometryStripArray
    `void` | `getStripIndexCounts(int[] stripIndexCounts)` Gets a list of indexCounts for each strip.
    `void` | `setStripIndexCounts(int[] stripIndexCounts)` Sets the array of strip index counts.
    `void` | `setValidIndexCount(int validIndexCount)` This method is not supported for indexed geometry strip arrays.

    - ### Methods inherited from class javax.media.j3d.IndexedGeometryArray

      `getColorIndex, getColorIndices, getCoordinateIndex, getCoordinateIndices, getCoordIndicesRef, getIndexCount, getInitialIndexIndex, getNormalIndex, getNormalIndices, getTextureCoordinateIndex, getTextureCoordinateIndex, getTextureCoordinateIndices, getTextureCoordinateIndices, getValidIndexCount, getVertexAttrIndex, getVertexAttrIndices, setColorIndex, setColorIndices, setCoordinateIndex, setCoordinateIndices, setCoordIndicesRef, setInitialColorIndex, setInitialCoordIndex, setInitialIndexIndex, setInitialNormalIndex, setInitialTexCoordIndex, setInitialVertexAttrIndex, setInitialVertexIndex, setNormalIndex, setNormalIndices, setTextureCoordinateIndex, setTextureCoordinateIndex, setTextureCoordinateIndices, setTextureCoordinateIndices, setValidVertexCount, setVertexAttrIndex, setVertexAttrIndices`

    - ### Methods inherited from class javax.media.j3d.GeometryArray

      `getColor, getColor, getColor, getColor, getColor, getColor, getColorRef3b, getColorRef3f, getColorRef4b, getColorRef4f, getColorRefBuffer, getColorRefByte, getColorRefFloat, getColors, getColors, getColors, getColors, getColors, getColors, getCoordinate, getCoordinate, getCoordinate, getCoordinate, getCoordinates, getCoordinates, getCoordinates, getCoordinates, getCoordRef3d, getCoordRef3f, getCoordRefBuffer, getCoordRefDouble, getCoordRefFloat, getInitialColorIndex, getInitialCoordIndex, getInitialNormalIndex, getInitialTexCoordIndex, getInitialVertexAttrIndex, getInitialVertexIndex, getInterleavedVertexBuffer, getInterleavedVertices, getNormal, getNormal, getNormalRef3f, getNormalRefBuffer, getNormalRefFloat, getNormals, getNormals, getTexCoordRef2f, getTexCoordRef3f, getTexCoordRefBuffer, getTexCoordRefFloat, getTexCoordSetCount, getTexCoordSetMap, getTexCoordSetMapLength, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getValidVertexCount, getVertexAttr, getVertexAttr, getVertexAttr, getVertexAttr, getVertexAttrCount, getVertexAttrRefBuffer, getVertexAttrRefFloat, getVertexAttrs, getVertexAttrs, getVertexAttrs, getVertexAttrs, getVertexAttrSizes, getVertexCount, getVertexFormat, setColor, setColor, setColor, setColor, setColor, setColor, setColorRef3b, setColorRef3f, setColorRef4b, setColorRef4f, setColorRefBuffer, setColorRefByte, setColorRefFloat, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setCoordinate, setCoordinate, setCoordinate, setCoordinate, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordRef3d, setCoordRef3f, setCoordRefBuffer, setCoordRefDouble, setCoordRefFloat, setInterleavedVertexBuffer, setInterleavedVertices, setNormal, setNormal, setNormalRef3f, setNormalRefBuffer, setNormalRefFloat, setNormals, setNormals, setNormals, setNormals, setTexCoordRef2f, setTexCoordRef3f, setTexCoordRefBuffer, setTexCoordRefFloat, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setVertexAttr, setVertexAttr, setVertexAttr, setVertexAttr, setVertexAttrRefBuffer, setVertexAttrRefFloat, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, updateData`

    - ### Methods inherited from class javax.media.j3d.NodeComponent

      `cloneNodeComponent, cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

    - ### Methods inherited from class javax.media.j3d.SceneGraphObject

      `clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedGeometryStripArray

          public IndexedGeometryStripArray(int vertexCount,
                                   int vertexFormat,
                                   int indexCount,
                                   int[] stripIndexCounts)

      Constructs an empty IndexedGeometryStripArray object with the specified number of vertices, vertex format, number of indices, and array of per-strip index counts.
      Parameters:
        `vertexCount` - see `GeometryArray.GeometryArray(int,int)` for a description of this parameter.
        `vertexFormat` - see `GeometryArray.GeometryArray(int,int)` for a description of this parameter.
        `indexCount` - see `IndexedGeometryArray.IndexedGeometryArray(int,int,int)` for a description of this parameter.
        `stripIndexCounts` - array that specifies the count of the number of indices for each separate strip. The length of this array is the number of separate strips. The sum of the elements in this array defines the total number of valid indexed vertices that are rendered (validIndexCount).
      Throws:
        `java.lang.IllegalArgumentException` - if `validIndexCount > indexCount` ;
        See `GeometryArray.GeometryArray(int,int)` for more exceptions that can be thrown

    - #### IndexedGeometryStripArray

          public IndexedGeometryStripArray(int vertexCount,
                                   int vertexFormat,
                                   int texCoordSetCount,
                                   int[] texCoordSetMap,
                                   int indexCount,
                                   int[] stripIndexCounts)

      Constructs an empty IndexedGeometryStripArray object with the specified number of vertices, vertex format, number of texture coordinate sets, texture coordinate mapping array, number of indices, and array of per-strip index counts.
      Parameters:
        `vertexCount` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
        `vertexFormat` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
        `texCoordSetCount` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
        `texCoordSetMap` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
        `indexCount` - see `IndexedGeometryArray.IndexedGeometryArray(int,int,int,int[],int)` for a description of this parameter.
        `stripIndexCounts` - array that specifies the count of the number of indices for each separate strip. The length of this array is the number of separate strips. The sum of the elements in this array defines the total number of valid indexed vertices that are rendered (validIndexCount).
      Throws:
        `java.lang.IllegalArgumentException` - if `validIndexCount > indexCount` ;
        See `GeometryArray.GeometryArray(int,int,int,int[])` for more exceptions that can be thrown
      Since:
        Java 3D 1.2

    - #### IndexedGeometryStripArray

          public IndexedGeometryStripArray(int vertexCount,
                                   int vertexFormat,
                                   int texCoordSetCount,
                                   int[] texCoordSetMap,
                                   int vertexAttrCount,
                                   int[] vertexAttrSizes,
                                   int indexCount,
                                   int[] stripIndexCounts)

      Constructs an empty IndexedGeometryStripArray object with the specified number of vertices, vertex format, number of texture coordinate sets, texture coordinate mapping array, vertex attribute count, vertex attribute sizes array, number of indices, and array of per-strip index counts.
      Parameters:
        `vertexCount` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
        `vertexFormat` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
        `texCoordSetMap` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
        `vertexAttrCount` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
        `vertexAttrSizes` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
        `indexCount` - see `IndexedGeometryArray.IndexedGeometryArray(int,int,int,int[],int,int[],int)` for a description of this parameter.
        `stripIndexCounts` - array that specifies the count of the number of indices for each separate strip. The length of this array is the number of separate strips. The sum of the elements in this array defines the total number of valid indexed vertices that are rendered (validIndexCount).
      Throws:
        `java.lang.IllegalArgumentException` - if `validIndexCount > indexCount` ;
        See `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for more exceptions that can be thrown
      Since:
        Java 3D 1.4

  - ### Method Detail

    - #### getNumStrips

          public int getNumStrips()

      Get number of strips in the GeometryStripArray
      Returns:
        numStrips number of strips

    - #### setStripIndexCounts

          public void setStripIndexCounts(int[] stripIndexCounts)

      Sets the array of strip index counts. The length of this array is the number of separate strips. The elements in this array specify the number of indices for each separate strip. The sum of the elements in this array defines the total number of valid indexed vertices that are rendered (validIndexCount).
      Parameters:
        `stripIndexCounts` - array that specifies the count of the number of indices for each separate strip.
      Throws:
        `java.lang.IllegalArgumentException` - if `initialIndexIndex + validIndexCount > indexCount`
      Since:
        Java 3D 1.3

    - #### getStripIndexCounts

          public void getStripIndexCounts(int[] stripIndexCounts)

      Gets a list of indexCounts for each strip. The list is copied into the specified array. The array must be large enough to hold all of the ints.
      Parameters:
        `stripIndexCounts` - an array that will receive indexCounts

    - #### setValidIndexCount

          public void setValidIndexCount(int validIndexCount)

      This method is not supported for indexed geometry strip arrays. The sum of the elements in the strip index counts array defines the valid index count.
      Overrides:
        `setValidIndexCount` in class `IndexedGeometryArray`
      Parameters:
        `validIndexCount` - the new valid index count.
      Throws:
        `java.lang.UnsupportedOperationException` - this method is not supported
      Since:
        Java 3D 1.3

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.